/*
 * File: TestCharList.java
 * -----------------------
 * This file contains a main program to test the operation of a
 * CharList class.
 */

import acm.program.*;

public class TestCharList extends ConsoleProgram {

/* Standard entry point */
	public static void main(String[] args) {
		new TestCharList().start(args);
	}

/* Program entry point */
	public void run() {
		String str1 = readLine("Enter string 1: ");
		CLString s1 = new CLString(str1);
		String str2 = readLine("Enter string 2: ");
		CLString s2 = new CLString(str2);
		println("s1.length() = " + s1.length());
		println("s2.length() = " + s2.length());
		println("s1 + s2 = " + s1.concat(s2));
	}
}
